namespace C969Project;

public partial class DashboardForm : Form
{
    private CustomersForm _customersForm = new();
    private AppointmentsForm _appointmentsForm = new();
    private ReportsForm _reportsForm = new();
    
    public DashboardForm()
    {
        InitializeComponent();
        
        CustomersButton.Click += (sender, args) =>
        {
            _customersForm.ShowDialog();
            _customersForm.UpdateCustomersList(null, EventArgs.Empty);
        };

        AppointmentsButton.Click += (sender, args) =>
        {
            _appointmentsForm.ShowDialog();
        };
        
        ReportsButton.Click += (sender, args) =>
        {
            _reportsForm.ShowDialog();
        };
    }
}